--
--
--
--  Keyboard Layout Saver: Manual profiles
--  by Fulgerul
--
--  This is a trigger module for Keyboard Layout Saver that reverts KLS to the old way of saving and loading profiles,
--	through manual /commands
--
--


KLS_ManualProfiles = KLS:NewModule("KLS: Manual Profiles", "AceConsole-3.0", "AceEvent-3.0")

-- Module loaded
function KLS_ManualProfiles:OnEnable()
KLS:DebugMsg("KLS: Manual Profiles - OnEnable()")
    
    DEFAULT_CHAT_FRAME:AddMessage("KLS: Manual Profiles ON")
    DEFAULT_CHAT_FRAME:AddMessage("KLS: Use /slashcommands for operations")
    
    -- Disable core events evolving around UPDATE_BINDINGS
    KLS:UnregisterEvent("PLAYER_REGEN_DISABLED")
    KLS:UnegisterEvent("PLAYER_REGEN_ENABLED")
    KLS:UnregisterEvent("UPDATE_BINDINGS")
end


-- Module disabled
function KLS_Talents:OnDisable()
KLS:DebugMsg("KLS: Manual Profiles - OnDisable()")
    
    -- Core events evolving around UPDATE_BINDINGS are registered by CORE!
    DEFAULT_CHAT_FRAME:AddMessage("KLS: Manual Profiles OFF")
   
end